# Latest commit on 28 Oct 2015: 37f4487 - preparing tarball:
# git clone https://github.com/donahue95/rtl8192eu-linux-driver rtl8192eu-4.3.1.1_11320.20140505; cd rtl8192eu-4.3.1.1_11320.20140505
# git archive --prefix=rtl8192eu-4.3.1.1_11320.20140505/ --format=tar HEAD | xz -9 > ../rtl8192eu-4.3.1.1_11320.20140505.tar.xz

%global	module	8192eu
%global pkgname rtl%{module}

Name:		dkms-%{pkgname}
Version:	4.3.1.1_11320.20140505
Release:	%mkrel 1
Source0:	%{pkgname}-%{version}.tar.xz
License:	GPLv2
Group:		System/Kernel and hardware
URL:		https://github.com/donahue95/rtl8192eu-linux-driver
Summary:	dkms package for Realtek %{module} driver
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch
Requires(preun,post): dkms

%description
Kernel module for Realtek RTL8192EU USB wireless devices.

%prep
%setup -qn %{pkgname}-%{version}
find -type f -exec chmod 0644 {} \;

%install
%__rm -rf %{buildroot}
%__install -dm755 %{buildroot}%{_usrsrc}/%{pkgname}-%{version}-%{release}
%__cp -a ./* %{buildroot}%{_usrsrc}/%{pkgname}-%{version}-%{release}
%__rm -f %{buildroot}%{_usrsrc}/%{pkgname}-%{version}-%{release}/README
%__cat <<EOF > %{buildroot}%{_usrsrc}/%{pkgname}-%{version}-%{release}/dkms.conf
PACKAGE_NAME="%{pkgname}"
PACKAGE_VERSION="%{version}-%{release}"
BUILT_MODULE_NAME[0]="%{module}"
DEST_MODULE_LOCATION[0]="/kernel/drivers/net/wireless"
MAKE[0]="'make'"
AUTOINSTALL="yes"
CLEAN="make clean"
EOF

%post -n %{name}
/usr/sbin/dkms --rpm_safe_upgrade add -m %{pkgname} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{pkgname} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{pkgname} -v %{version}-%{release}

if [ "$1" = 1 ]; then
/sbin/modprobe %{module} >/dev/null 2>&1
echo "Reloading network configuration ... "
/sbin/service network reload >/dev/null 2>&1
echo "%{module}" >> /etc/modprobe.preload
fi

%preun -n %{name}
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{pkgname} -v %{version}-%{release} --all

if [ "$1" = 0 ]; then
/sbin/rmmod %{module} >/dev/null 2>&1
echo "Reloading network configuration ... "
/sbin/service network reload >/dev/null 2>&1
sed -i '/%{module}/ d' /etc/modprobe.preload
fi

%clean
%__rm -rf %{buildroot}

%files
%doc README
%defattr(-,root,root)
%{_usrsrc}/%{pkgname}-%{version}-%{release}

%changelog
* Sat Apr 01 2017 adrianomorselli <adrianomorselli> 4.3.1.1_11320.20140505-1uplos2017
- first build for uplos
